<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('roles_tools_relations', function (Blueprint $table) {
            $table->id();
            $table->integer('role_id');
            $table->integer('tool_id');
            $table->text('tool_option_id');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('roles_tools_relations');
    }
};
